<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::InputEngine Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1InputEngine.html">InputEngine</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classgg_1_1InputEngine-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::InputEngine Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="InputEngine_8hpp_source.html">InputEngine.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ae86c20d9abcb6d5a511e4487dff0e5a8"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1InputEngine.html#ae86c20d9abcb6d5a511e4487dff0e5a8">IsSpriteClicked</a> (sf::Sprite object, sf::Mouse::Button button, sf::RenderWindow &amp;window) -&gt; bool</td></tr>
<tr class="separator:ae86c20d9abcb6d5a511e4487dff0e5a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76743ce468e83880bfd37e4bc8c2b515"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1InputEngine.html#a76743ce468e83880bfd37e4bc8c2b515">IsSpriteHovered</a> (sf::Sprite object, sf::RenderWindow &amp;window)</td></tr>
<tr class="separator:a76743ce468e83880bfd37e4bc8c2b515"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03577cae47a77e9c7f864ad4117837c4"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1InputEngine.html#a03577cae47a77e9c7f864ad4117837c4">IsKeyPressed</a> (sf::Keyboard::Key key) -&gt; bool</td></tr>
<tr class="separator:a03577cae47a77e9c7f864ad4117837c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dfb155f26e6d3975b83f8e95760c254"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1InputEngine.html#a7dfb155f26e6d3975b83f8e95760c254">GetMousePosition</a> () -&gt; sf::Vector2f</td></tr>
<tr class="separator:a7dfb155f26e6d3975b83f8e95760c254"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14259916ea052a08f5eefc574053a109"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1InputEngine.html#a14259916ea052a08f5eefc574053a109">PullEvents</a> ()</td></tr>
<tr class="separator:a14259916ea052a08f5eefc574053a109"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7dfb155f26e6d3975b83f8e95760c254" name="a7dfb155f26e6d3975b83f8e95760c254"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dfb155f26e6d3975b83f8e95760c254">&#9670;&nbsp;</a></span>GetMousePosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::InputEngine::GetMousePosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  sf::Vector2f</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a03577cae47a77e9c7f864ad4117837c4" name="a03577cae47a77e9c7f864ad4117837c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03577cae47a77e9c7f864ad4117837c4">&#9670;&nbsp;</a></span>IsKeyPressed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::InputEngine::IsKeyPressed </td>
          <td>(</td>
          <td class="paramtype">sf::Keyboard::Key&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td> -&gt;  bool</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae86c20d9abcb6d5a511e4487dff0e5a8" name="ae86c20d9abcb6d5a511e4487dff0e5a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae86c20d9abcb6d5a511e4487dff0e5a8">&#9670;&nbsp;</a></span>IsSpriteClicked()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::InputEngine::IsSpriteClicked </td>
          <td>(</td>
          <td class="paramtype">sf::Sprite&#160;</td>
          <td class="paramname"><em>object</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::Mouse::Button&#160;</td>
          <td class="paramname"><em>button</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::RenderWindow &amp;&#160;</td>
          <td class="paramname"><em>window</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> -&gt;  bool</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a76743ce468e83880bfd37e4bc8c2b515" name="a76743ce468e83880bfd37e4bc8c2b515"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76743ce468e83880bfd37e4bc8c2b515">&#9670;&nbsp;</a></span>IsSpriteHovered()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::InputEngine::IsSpriteHovered </td>
          <td>(</td>
          <td class="paramtype">sf::Sprite&#160;</td>
          <td class="paramname"><em>object</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::RenderWindow &amp;&#160;</td>
          <td class="paramname"><em>window</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a14259916ea052a08f5eefc574053a109" name="a14259916ea052a08f5eefc574053a109"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14259916ea052a08f5eefc574053a109">&#9670;&nbsp;</a></span>PullEvents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::InputEngine::PullEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/core/<a class="el" href="InputEngine_8hpp_source.html">InputEngine.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
